## org.eclipse.emf.mapping.ecore2xml.impl
Class Ecore2XMLRegistryImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.eclipse.emf.mapping.ecore2xml.impl.Ecore2XMLRegistryImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, Ecore2XMLRegistry

    public class Ecore2XMLRegistryImpl

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements Ecore2XMLRegistry

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.mapping.ecore2xml.Ecore2XMLRegistry
`Ecore2XMLRegistry.Descriptor, Ecore2XMLRegistry.Reader`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected Ecore2XMLRegistry` `delegateRegistry`

Fields inherited from interface org.eclipse.emf.mapping.ecore2xml.Ecore2XMLRegistry
`INSTANCE`

Constructor Summary
`Ecore2XMLRegistryImpl()`
`Ecore2XMLRegistryImpl(Ecore2XMLRegistry delegateRegistry)`

Method Summary
`boolean` `containsKey(java.lang.Object key)`
`protected XMLResource.XMLMap` `delegatedGetXMLMap(java.lang.String nsURI)`
`XMLResource.XMLMap` `getXMLMap(java.lang.String nsURI)`

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### delegateRegistry

    protected Ecore2XMLRegistry delegateRegistry

Constructor Detail

### Ecore2XMLRegistryImpl

    public Ecore2XMLRegistryImpl()

### Ecore2XMLRegistryImpl

    public Ecore2XMLRegistryImpl(Ecore2XMLRegistry delegateRegistry)

Method Detail

### getXMLMap

    public XMLResource.XMLMap getXMLMap(java.lang.String nsURI)

  Specified by:
    `getXMLMap` in interface `Ecore2XMLRegistry`

### delegatedGetXMLMap

    protected XMLResource.XMLMap delegatedGetXMLMap(java.lang.String nsURI)

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `containsKey` in class `java.util.HashMap<java.lang.String,java.lang.Object>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.